Skip to main content
POST
/
queues
Create queue
curl --request POST \
  --url https://api.duvo.ai/v1/queues \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "folder_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "queue": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "description": "<string>",
    "folder_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_at": "<string>",
    "has_approvals": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.duvo.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication. Get your API key from the Duvo dashboard.

Body

application/json
name
string
required

Queue name. Must be unique within the team.

Required string length: 1 - 100
description
string | null

Optional human-readable description.

Maximum string length: 500
folder_id
string<uuid> | null

Optional folder to nest the queue under.

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12})$

Response

Default Response

queue
object
required